Subject: Re: question on link state routing protocols

From: [email-masked] (Noel Chiappa)
Date: Fri, 3 May 2013 10:11:50 -0400 (EDT)

> From: Jon Crowcroft <[email-masked]>

    > flooding is either done by building a spanning tree and sending it on
    > that (viz radia perlman)

I guess I need to go read up on Radia's technique, because it seems to me like
there'd be a timing glitch there: suppose there's been a topology change that
you don't know about yet... But if anyone could make it work, Radia can! :-)

    > or by copying a packet from any incoming link on all the interfaces you
    > have NOT seen it - so you can count that and send it on with the LSA...

I guess I'm still confused. Pretty much by definition, if the node has N
interfaces (which it will give in the update), the count of 'interfaces it has
not yet seen update #X on' is always going to be N-1? (Since a node only
forwards an update once - the first time it sees it.)

	Noel

---

From: Donald Eastlake <[email-masked]>
Date: Fri, 3 May 2013 11:16:45 -0400

Hi,

> you don't know about yet... But if anyone could make it work, Radia can! :-)

I think this was just a reference to Radia's invention of the Spanning
Tree protocol. Neither IS-IS nor OSPF use spanning tree for flooding
link state information. Spanning Tree is fundamentally a distance
vector method so, if there was a link state method that used spanning
tree for flooding, there wouldn't necessarily be any routing
information interaction between the Spanning Tree protocol and this
hypothetical link state protocol.

> forwards an update once - the first time it sees it.)

It's a link state protocol so it remembers the latest version it has
of each fragment of link state information. If it receives an older
version or the current version it already has, it ignores it. Only if
it receives a newer version does it flood it. It might also send that
same current fragment it has again if it hears from some participant
on a link that that participant has an old version either by that
participant transmitting an old version of the fragment or by that
participant transmitting meta information on what versions it has of
what fragments which meta information reveals that it is out of date.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]